Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class GetChildGroupNamesTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
                  |
                  +--com.bea.p13n.usermgmt.servlets.jsp.taglib.GetChildGroupNamesTag

public class GetChildGroupNamesTag
extends UserManagementTag

Corresponds to `<um:getChildGroupNames>`.

The `<um:getChildGroupNames>` tag returns the names of any groups that are children of the given group.

Tag Attribute | Required | Type | Description
groupName | yes | String | The name of the group to search for child groups.
id | yes | String | The name of the id which will be assigned the String array of child group names.

See Also:
  `com.beasys.commerce.user.jsp.tags.GetChildGroupsTag`, Serialized Form

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`GetChildGroupNamesTag()`

Method Summary
`int` | `doStartTag()` Go through the UserManager session bean to search for the names of the given group's children.
`java.lang.String` | `getGroupName()` Get the name of the group to query
`void` | `release()` Reset the tag attributes
`void` | `setGroupName(java.lang.String groupName)` Set the name of the group to query

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetChildGroupNamesTag

    public GetChildGroupNamesTag()

Method Detail

### setGroupName

    public void setGroupName(java.lang.String groupName)

  Set the name of the group to query

### getGroupName

    public java.lang.String getGroupName()

  Get the name of the group to query

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Go through the UserManager session bean to search for the names of the given group's children.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Reset the tag attributes

  Overrides:
    release in class UserManagementTag

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved